| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros | Variables
onoffbutton_breakout.ino File Reference

Go to the source code of this file.

## Functions
static void | drawFrame ()
static void | redBtn ()
static void | greenBtn ()
static void | setup (void)
static void | loop ()

## Macros
#define | YP A3
#define | XM A2
#define | YM 5
#define | XP 4
#define | TS_MINX 150
#define | TS_MINY 120
#define | TS_MAXX 920
#define | TS_MAXY 940
#define | MINPRESSURE 10
#define | MAXPRESSURE 1000
#define | TFT_CS 10
#define | TFT_DC 9
#define | FRAME_X 210
#define | FRAME_Y 180
#define | FRAME_W 100
#define | FRAME_H 50
#define | REDBUTTON_X FRAME_X
#define | REDBUTTON_Y FRAME_Y
#define | REDBUTTON_W (FRAME_W/2)
#define | REDBUTTON_H FRAME_H
#define | GREENBUTTON_X (REDBUTTON_X + REDBUTTON_W)
#define | GREENBUTTON_Y FRAME_Y
#define | GREENBUTTON_W (FRAME_W/2)
#define | GREENBUTTON_H FRAME_H

## Variables
TouchScreen | ts = TouchScreen(XP, YP, XM, YM, 300)
Adafruit_ILI9341 | tft = Adafruit_ILI9341(TFT_CS, TFT_DC)
boolean | RecordOn = false

## Function Documentation

## ◆ drawFrame()

static void drawFrame | ( |  | ) |
| static

Definition at line 54 of file onoffbutton_breakout.ino.

## ◆ greenBtn()

static void greenBtn | ( |  | ) |
| static

Definition at line 71 of file onoffbutton_breakout.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 94 of file onoffbutton_breakout.ino.

## ◆ redBtn()

static void redBtn | ( |  | ) |
| static

Definition at line 59 of file onoffbutton_breakout.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 83 of file onoffbutton_breakout.ino.

## Macro Definition Documentation

## ◆ FRAME_H

#define FRAME_H 50

Definition at line 42 of file onoffbutton_breakout.ino.

## ◆ FRAME_W

#define FRAME_W 100

Definition at line 41 of file onoffbutton_breakout.ino.

## ◆ FRAME_X

#define FRAME_X 210

Definition at line 39 of file onoffbutton_breakout.ino.

## ◆ FRAME_Y

#define FRAME_Y 180

Definition at line 40 of file onoffbutton_breakout.ino.

## ◆ GREENBUTTON_H

#define GREENBUTTON_H FRAME_H

Definition at line 52 of file onoffbutton_breakout.ino.

## ◆ GREENBUTTON_W

#define GREENBUTTON_W (FRAME_W/2)

Definition at line 51 of file onoffbutton_breakout.ino.

## ◆ GREENBUTTON_X

#define GREENBUTTON_X (REDBUTTON_X + REDBUTTON_W)

Definition at line 49 of file onoffbutton_breakout.ino.

## ◆ GREENBUTTON_Y

#define GREENBUTTON_Y FRAME_Y

Definition at line 50 of file onoffbutton_breakout.ino.

## ◆ MAXPRESSURE

#define MAXPRESSURE 1000

Definition at line 25 of file onoffbutton_breakout.ino.

## ◆ MINPRESSURE

#define MINPRESSURE 10

Definition at line 24 of file onoffbutton_breakout.ino.

## ◆ REDBUTTON_H

#define REDBUTTON_H FRAME_H

Definition at line 47 of file onoffbutton_breakout.ino.

## ◆ REDBUTTON_W

#define REDBUTTON_W (FRAME_W/2)

Definition at line 46 of file onoffbutton_breakout.ino.

## ◆ REDBUTTON_X

#define REDBUTTON_X FRAME_X

Definition at line 44 of file onoffbutton_breakout.ino.

## ◆ REDBUTTON_Y

#define REDBUTTON_Y FRAME_Y

Definition at line 45 of file onoffbutton_breakout.ino.

## ◆ TFT_CS

#define TFT_CS 10

Definition at line 33 of file onoffbutton_breakout.ino.

## ◆ TFT_DC

#define TFT_DC 9

Definition at line 34 of file onoffbutton_breakout.ino.

## ◆ TS_MAXX

#define TS_MAXX 920

Definition at line 21 of file onoffbutton_breakout.ino.

## ◆ TS_MAXY

#define TS_MAXY 940

Definition at line 22 of file onoffbutton_breakout.ino.

## ◆ TS_MINX

#define TS_MINX 150

Definition at line 19 of file onoffbutton_breakout.ino.

## ◆ TS_MINY

#define TS_MINY 120

Definition at line 20 of file onoffbutton_breakout.ino.

## ◆ XM

#define XM A2

Definition at line 14 of file onoffbutton_breakout.ino.

## ◆ XP

#define XP 4

Definition at line 16 of file onoffbutton_breakout.ino.

## ◆ YM

#define YM 5

Definition at line 15 of file onoffbutton_breakout.ino.

## ◆ YP

#define YP A3

Definition at line 13 of file onoffbutton_breakout.ino.

## Variable Documentation

## ◆ RecordOn

boolean RecordOn = false

Definition at line 37 of file onoffbutton_breakout.ino.

## ◆ tft

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC)

Definition at line 35 of file onoffbutton_breakout.ino.

## ◆ ts

TouchScreen ts = TouchScreen(XP, YP, XM, YM, 300)

Definition at line 30 of file onoffbutton_breakout.ino.